commit bebb116e38e2fa221da6804b2315541cbac5e98a
Author: Dominik Chlouba <dchlouba@students.zcu.cz>
Date:   Tue May 11 10:03:00 2021 +0200

    Fixed some UI bugs, finished minor components, basic actions
    refs #8895 @0.15hod

diff --git a/src/Core/Application/Leuze.Core.Application.UI/Pages/Index.razor b/src/Core/Application/Leuze.Core.Application.UI/Pages/Index.razor
index 253ce71..76eb6dd 100644
--- a/src/Core/Application/Leuze.Core.Application.UI/Pages/Index.razor
+++ b/src/Core/Application/Leuze.Core.Application.UI/Pages/Index.razor
@@ -2,11 +2,6 @@
 @layout MainLayout
 @attribute [Authorize]
 
-<h1>Hello, world!</h1>
-
-Welcome to your new app.
-
-<SurveyPrompt Title="How is Blazor working for you?" />
 <AuthorizeView>
-    @context.User.Identity?.IsAuthenticated
-</AuthorizeView>
+    <h1>Vítejte, @context.User.Identity?.Name</h1>
+</AuthorizeView>
\ No newline at end of file
diff --git a/src/Core/Application/Leuze.Core.Application.UI/Pages/_Host.cshtml b/src/Core/Application/Leuze.Core.Application.UI/Pages/_Host.cshtml
index 3504216..ecd242a 100644
--- a/src/Core/Application/Leuze.Core.Application.UI/Pages/_Host.cshtml
+++ b/src/Core/Application/Leuze.Core.Application.UI/Pages/_Host.cshtml
@@ -15,6 +15,7 @@
     <link href="css/site.css" rel="stylesheet" />
     <link href="_content/Blazored.Toast/blazored-toast.min.css" rel="stylesheet" />
     <link href="Leuze.App.styles.css" rel="stylesheet" />
+    <link href="css/all.min.css" rel="stylesheet" />
 </head>
 <body>
     <component type="typeof(App)" render-mode="ServerPrerendered" />
diff --git a/src/Core/Application/Leuze.Core.Application.UI/Shared/NavMenu.razor b/src/Core/Application/Leuze.Core.Application.UI/Shared/NavMenu.razor
index c61af0a..e463655 100644
--- a/src/Core/Application/Leuze.Core.Application.UI/Shared/NavMenu.razor
+++ b/src/Core/Application/Leuze.Core.Application.UI/Shared/NavMenu.razor
@@ -1,6 +1,6 @@
 ﻿<aside class="@_aside">
     <nav class="@_nav">
-        <NavLink href="/dashboard">
+        <NavLink href="/">
             <div class="item">
                 <img src="/Resources/Icons/analytics.svg" class="item_icon nav_icon_1" />
                 <span>Přehled</span>
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Leuze.Modules.Goal.Application.UI.csproj b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Leuze.Modules.Goal.Application.UI.csproj
index 996547a..5e9e8cd 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Leuze.Modules.Goal.Application.UI.csproj
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Leuze.Modules.Goal.Application.UI.csproj
@@ -24,8 +24,4 @@
     <ProjectReference Include="..\Leuze.Modules.Goal.Application\Leuze.Modules.Goal.Application.csproj" />
   </ItemGroup>
 
-  <ItemGroup>
-    <Folder Include="Pages\Components\" />
-  </ItemGroup>
-
 </Project>
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateDefinitionRangeAside.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateDefinitionRangeAside.razor
new file mode 100644
index 0000000..3eb45cc
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateDefinitionRangeAside.razor
@@ -0,0 +1,103 @@
+﻿
+<aside class="@_aside review_detail">
+    <div class="review_detail_header">
+        <div>
+            Vytvořit oblast definic
+        </div>
+        <div>
+            <div class="close_button" @onclick="Close">
+                <i class="fal fa-times"></i>
+            </div>
+        </div>
+    </div>
+    <div class="review_detail_body">
+        <div class="review_description_title">Datum začátku oblasti</div>
+        <input type="date" />
+        <div class="review_description_title">Datum konce oblasti</div>
+        <input type="date" />
+        <div class="review_description_title">Firemní výsledek oblasti</div>
+        <input type="number" />
+    </div>
+    <div class="review_detail_footer">
+        <button>Uložit</button>
+        <button @onclick="Close">Zrušit</button>
+    </div>
+</aside>
+
+
+<BlazorStyled.Styled @bind-Classname="@_aside">
+    right: @(Show ? "0" : "-615")px;
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    .review_detail {
+    width: 600px;
+    height: 100%;
+    position: fixed;
+    transition: .25s right;
+    top: 0;
+    background-color: white;
+    -webkit-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    -moz-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    }
+
+    .review_detail_header > div {
+    height: 100%;
+    display: flex;
+    align-items: center;
+    }
+
+    .review_detail_header {
+    padding: 12px 24px;
+    border-bottom: 1px solid #11111122;
+    height: 26px;
+    display: flex;
+    align-items: center;
+    justify-content: space-between;
+    }
+
+    .review_detail_body{
+    padding: 16px 0;
+    height: calc(100% - 143px - 50px - 12px);
+    overflow-y: auto;
+    overflow-x: hidden;
+    }
+
+    .review_detail_footer{
+    height: 36px;
+    background-color: #F6F8F9;
+    position: absolute;
+    bottom: 0;
+    left: 0;
+    width: calc(100% - 50px);
+    display: grid;
+    padding: 24px;
+    grid-template-columns: repeat(2, 1fr);
+    }
+
+    .review_detail_footer button:first-child{
+    margin-right: 12px;
+    }
+
+    .review_detail_footer button:last-child{
+    margin-left: 12px;
+    }
+</BlazorStyled.Styled>
+
+@code {
+
+    private string _aside;
+
+    [Parameter]
+    public bool Show { get; set; } = false;
+
+    [Parameter]
+    public EventCallback CloseAside { get; set; }
+
+    private async Task Close()
+    {
+        //ResetValues();
+        await CloseAside.InvokeAsync();
+    }
+
+}
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalAside.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalAside.razor
new file mode 100644
index 0000000..5f7de01
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalAside.razor
@@ -0,0 +1,138 @@
+﻿
+<aside class="@_aside review_detail">
+    <div class="review_detail_header">
+        <div>Vytvořit nový cíl</div>
+        <div>
+            <div class="close_button" @onclick="Close">
+                <i class="fal fa-times"></i>
+            </div>
+        </div>
+    </div>
+    <div class="review_detail_body">
+        <div class="review_description_title">Název cíle</div>
+        <input type="text" />
+        <div class="review_description_title">Popis cíle</div>
+        <textarea></textarea>
+    </div>
+    <div class="review_detail_footer">
+        <button>Vytvořit</button>
+        <button>Zrušit</button>
+    </div>
+</aside>
+
+<BlazorStyled.Styled @bind-Classname="@_aside">
+    right: @(Show ? "0" : "-615")px;
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    .review_detail {
+    width: 600px;
+    height: 100%;
+    position: fixed;
+    top: 0;
+    transition: .25s right;
+    background-color: white;
+    -webkit-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    -moz-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    }
+
+    .review_detail_header > div {
+    height: 100%;
+    display: flex;
+    align-items: center;
+    }
+
+    .review_detail_header {
+    padding: 12px 24px;
+    border-bottom: 1px solid #11111122;
+    height: 26px;
+    display: flex;
+    align-items: center;
+    justify-content: space-between;
+    }
+
+    .review_detail_body{
+    padding: 16px 0;
+    height: calc(100% - 143px - 50px - 12px);
+    overflow-y: auto;
+    overflow-x: hidden;
+    }
+
+    .review_detail_footer{
+    height: 36px;
+    background-color: #F6F8F9;
+    position: absolute;
+    bottom: 0;
+    left: 0;
+    width: calc(100% - 50px);
+    display: grid;
+    padding: 24px;
+    grid-template-columns: repeat(2, 1fr);
+    }
+
+    .review_detail_footer button:first-child{
+    margin-right: 12px;
+    }
+
+    .review_detail_footer button:last-child{
+    margin-left: 12px;
+    }
+    .review_button {
+    color: red;
+    cursor: pointer;
+    opacity: .75;
+    }
+
+    .review_button:hover {
+    opacity: 1;
+    }
+
+    .review_button.accepted {
+    color: green;
+    }
+
+    .review_button:not(:last-child) {
+    margin-right: 16px;
+    }
+    .review_detail_body .review_description {
+    padding: 8px 12px;
+    border: 1px solid white;
+    width: calc(100% - 24px);
+    outline: none;
+    margin: 12px 24px 24px 24px;
+    }
+
+    .review_detail_body .review_description_title {
+    margin: 0 24px;
+    }
+
+    .review_description_paragraph{
+    margin: 12px 24px 24px 24px;
+    }
+
+    .review_detail_body .review_description:hover{
+    border: 1px solid #EEEEEE;
+    }
+
+    .review_detail_body .review_description:focus{
+    border: 1px solid #A8A8A8;
+    }
+</BlazorStyled.Styled>
+
+@code {
+
+    private string _aside;
+
+    [Parameter]
+    public bool Show { get; set; } = false;
+
+    [Parameter]
+    public EventCallback CloseAside { get; set; }
+
+    private async Task Close()
+    {
+        //ResetValues();
+        await CloseAside.InvokeAsync();
+    }
+
+}
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor
new file mode 100644
index 0000000..cb696ff
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor
@@ -0,0 +1,142 @@
+﻿
+<aside class="@_aside review_detail">
+    <div class="review_detail_header">
+        <div>
+            Vytvořit definici cílů
+        </div>
+        <div>
+            <div class="close_button" @onclick="Close">
+                <i class="fal fa-times"></i>
+            </div>
+        </div>
+    </div>
+    <div class="review_detail_body">
+        <div class="review_description_title">Název definice</div>
+        <input type="text" />
+        <div class="review_description_title">Přiřazený uživatel</div>
+        <select>
+            <option value="" disabled>Zvolte uživatele</option>
+        </select>
+    </div>
+    <div class="review_detail_footer">
+        <button>Vytvořit</button>
+        <button @onclick="Close">Zrušit</button>
+    </div>
+</aside>
+
+<BlazorStyled.Styled @bind-Classname="@_aside">
+    right: @(Show ? "0" : "-615")px;
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    .review_detail {
+    width: 600px;
+    height: 100%;
+    position: fixed;
+    top: 0;
+    transition: .25s right;
+    background-color: white;
+    -webkit-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    -moz-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    }
+
+    .review_detail_header > div {
+    height: 100%;
+    display: flex;
+    align-items: center;
+    }
+
+    .review_detail_header {
+    padding: 12px 24px;
+    border-bottom: 1px solid #11111122;
+    height: 26px;
+    display: flex;
+    align-items: center;
+    justify-content: space-between;
+    }
+
+    .review_detail_body{
+    padding: 16px 0;
+    height: calc(100% - 143px - 50px - 12px);
+    overflow-y: auto;
+    overflow-x: hidden;
+    }
+
+    .review_detail_footer{
+    height: 36px;
+    background-color: #F6F8F9;
+    position: absolute;
+    bottom: 0;
+    left: 0;
+    width: calc(100% - 50px);
+    display: grid;
+    padding: 24px;
+    grid-template-columns: repeat(2, 1fr);
+    }
+
+    .review_detail_footer button:first-child{
+    margin-right: 12px;
+    }
+
+    .review_detail_footer button:last-child{
+    margin-left: 12px;
+    }
+    .review_button {
+    color: red;
+    cursor: pointer;
+    opacity: .75;
+    }
+
+    .review_button:hover {
+    opacity: 1;
+    }
+
+    .review_button.accepted {
+    color: green;
+    }
+
+    .review_button:not(:last-child) {
+    margin-right: 16px;
+    }
+    .review_detail_body .review_description {
+    padding: 8px 12px;
+    border: 1px solid white;
+    width: calc(100% - 24px);
+    outline: none;
+    margin: 12px 24px 24px 24px;
+    }
+
+    .review_detail_body .review_description_title {
+    margin: 0 24px;
+    }
+
+    .review_description_paragraph{
+    margin: 12px 24px 24px 24px;
+    }
+
+    .review_detail_body .review_description:hover{
+    border: 1px solid #EEEEEE;
+    }
+
+    .review_detail_body .review_description:focus{
+    border: 1px solid #A8A8A8;
+    }
+</BlazorStyled.Styled>
+
+@code {
+
+    private string _aside;
+
+    [Parameter]
+    public bool Show { get; set; } = false;
+
+    [Parameter]
+    public EventCallback CloseAside { get; set; }
+
+    private async Task Close()
+    {
+        //ResetValues();
+        await CloseAside.InvokeAsync();
+    }
+
+}
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/GoalDetailAside.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/GoalDetailAside.razor
new file mode 100644
index 0000000..7926331
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/GoalDetailAside.razor
@@ -0,0 +1,346 @@
+﻿
+<aside class="@_aside goal_detail">
+    <div class="goal_detail_header">
+        <div>
+            <button class="authorize_button accepted">Schválit</button>
+            <div class="review_button accepted">
+                1 <i class="fal fa-trophy"></i>
+            </div>
+            <div class="review_button accepted" title="zkouška">
+                2 <i class="fal fa-trophy"></i>
+            </div>
+            <div class="review_button">
+                <i class="fal fa-trophy-alt"></i>
+            </div>
+            <button class="authorize_button">Vytvořit 1. hodnocení</button>
+        </div>
+        <div>
+            <div class="close_button" @onclick="Close">
+                <i class="fal fa-times"></i>
+            </div>
+        </div>
+    </div>
+    <div class="goal_detail_body">
+        <div class="goal_detail_area">
+            <input class="goal_name" type="text" placeholder="Zadejte název cíle" />
+            <div class="goal_description_title">Popis cíle</div>
+            <textarea oninput='this.style.height = "";this.style.height = this.scrollHeight + "px"'
+                      class="goal_description" placeholder="Vyplňte popis cíle"></textarea>
+        </div>
+        <div class="goal_communication_area">
+            <div class="goal_communication_item">
+                Dominik Chlouba vytvořil tento cíl. <span class="date">3. 5. 2021</span>
+            </div>
+            <div class="goal_communication_item">
+                <div class="item_tool">
+                    <div>Dominik Chlouba přidal komentář. <span class="date">3. 5. 2021</span></div>
+                    <div>
+                        <div class="action_buttons" style="display: none">
+                            <i class="fal fa-edit"></i>
+                            <i class="fal fa-trash"></i>
+                        </div>
+                        <div class="action_buttons" style="display: block">
+                            <i class="green fal fa-check"></i>
+                            <i class="red fal fa-times"></i>
+                        </div>
+                    </div>
+                </div>
+                <textarea class="comment-textarea noedit"
+                          oninput='this.style.height = "";this.style.height = this.scrollHeight + "px"'
+                          placeholder="Upravte komentář"></textarea>
+            </div>
+            <div class="goal_communication_item">
+                Dominik Chlouba aktualizoval popis cíle. <span class="date">3. 5. 2021</span>
+            </div>
+            <div class="goal_communication_item">
+                Dominik Chlouba aktualizoval popis cíle. <span class="date">3. 5. 2021</span>
+            </div>
+            <div class="goal_communication_item">
+                Dominik Chlouba aktualizoval popis cíle. <span class="date">3. 5. 2021</span>
+            </div>
+            <div class="goal_communication_item">
+                Dominik Chlouba aktualizoval popis cíle. <span class="date">3. 5. 2021</span>
+            </div>
+            <div class="goal_communication_item">
+                Dominik Chlouba aktualizoval popis cíle. <span class="date">3. 5. 2021</span>
+            </div>
+        </div>
+    </div>
+    <div class="goal_detail_footer">
+        <textarea placeholder="Přidat soukromý či veřejný komentář"></textarea>
+        <div class="goal_comment_tools">
+            <select>
+                <option value="private">Soukromý</option>
+                <option value="public">Veřejný</option>
+            </select>
+            <button>Přidat komentář</button>
+        </div>
+    </div>
+</aside>
+<Leuze.Modules.Goal.Application.UI.Pages.Components.ReviewDetailAside Show="ReviewId != default(Guid)" ReviewId="ReviewId" CloseAside="CloseReview" />
+
+<BlazorStyled.Styled @bind-Classname="@_aside">
+    right: @(Show ? "0" : "-615")px;
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    .goal_detail {
+    width: 600px;
+    height: 100%;
+    position: fixed;
+    top: 0;
+    transition: .25s right;
+    background-color: white;
+    -webkit-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    -moz-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    }
+
+    .goal_detail_header {
+    padding: 12px 24px;
+    border-bottom: 1px solid #11111122;
+    height: 26px;
+    display: flex;
+    align-items: center;
+    justify-content: space-between;
+    }
+
+    .goal_detail_body {
+    padding: 0 0 12px 0;
+    height: calc(100% - 143px - 50px - 12px);
+    overflow-y: auto;
+    background-color: #F6F8F9;
+    overflow-x: hidden;
+    }
+
+    .goal_detail_area {
+    background-color: white;
+    padding-top: 12px;
+    }
+
+    .goal_detail_body .goal_name {
+    padding: 8px 12px;
+    border: 1px solid white;
+    width: calc(100% - 24px);
+    outline: none;
+    margin: 12px 24px 12px 24px;
+    }
+
+    .goal_detail_body .goal_description {
+    padding: 8px 12px;
+    border: 1px solid white;
+    width: calc(100% - 24px);
+    outline: none;
+    margin: 12px 24px 24px 24px;
+    }
+
+    .goal_detail_body .goal_description_title {
+    margin: 0 24px;
+    }
+
+    .review_description_paragraph{
+    margin: 12px 24px 24px 24px;
+    }
+
+    .goal_detail_body .goal_name:hover, .goal_detail_body .goal_description:hover{
+    border: 1px solid #EEEEEE;
+    }
+
+    .goal_detail_body .goal_name:focus, .goal_detail_body .goal_description:focus{
+    border: 1px solid #A8A8A8;
+    }
+
+    .goal_communication_area {
+    padding: 12px 0;
+    }
+
+    .goal_communication_area .goal_communication_item {
+    background-color: #F6F8F9;
+    padding: 12px 0;
+    margin: 0 24px;
+    }
+
+    .goal_communication_area .goal_communication_item span.date {
+    color: #A8A8A8;
+    }
+
+    .goal_communication_area .goal_communication_item .item_tool {
+    display: flex;
+    justify-content: space-between;
+    align-items: center;
+    }
+
+    .goal_communication_area .goal_communication_item:not(:last-child) {
+    border-bottom: 1px solid #11111122;
+    }
+
+    .goal_detail_footer {
+    background-color: #F6F8F9;
+    padding: 24px;
+    border-top: 1px solid #11111122;
+    height: 94px;
+    }
+
+    .goal_detail_footer textarea {
+    border-radius: 4px;
+    border: 1px solid gray;
+    resize: none;
+    padding: 8px 12px;
+    height: 50px;
+    width: calc(100% - 26px);
+    margin-bottom: 12px;
+    }
+
+    .goal_detail_footer .goal_comment_tools {
+    display: flex;
+    justify-content: space-between;
+    align-items: center;
+    }
+
+    .goal_detail_footer .goal_comment_tools select {
+    border: none;
+    outline: none;
+    background-color: #F6F8F9;
+    }
+
+    .goal_detail_footer .goal_comment_tools button {
+
+    }
+
+    .goal_detail_header > div {
+    height: 100%;
+    display: flex;
+    align-items: center;
+    }
+
+    .authorize_button {
+    border: 1px solid #111111AA;
+    background: white;
+    font-size: 12px;
+    height: 100%;
+    padding: 0 12px;
+    cursor: pointer;
+    opacity: 1;
+    transition: .25s color, .25s background-color, .25s opacity;
+    }
+
+    .authorize_button:not(.accepted):hover {
+    background-color: #111111;
+    color: white;
+    opacity: .75;
+    }
+
+    .authorize_button:not(:last-child) {
+    margin-right: 16px;
+    }
+
+    .authorize_button.accepted {
+    background-color: green;
+    border: 1px solid green;
+    color: white;
+    cursor: default;
+    }
+
+    .review_button {
+    color: red;
+    cursor: pointer;
+    opacity: .75;
+    }
+
+    .review_button:hover {
+    opacity: 1;
+    }
+
+    .review_button.accepted {
+    color: green;
+    }
+
+    .review_button:not(:last-child) {
+    margin-right: 16px;
+    }
+
+    .close_button {
+    cursor: pointer;
+    color: darkgray;
+    }
+
+    .close_button:hover {
+    color: #111111;
+    }
+
+    ::-webkit-scrollbar {
+    width: 10px;
+    }
+
+    /* Track */
+    ::-webkit-scrollbar-track {
+    background: #f1f1f1;
+    }
+
+    /* Handle */
+    ::-webkit-scrollbar-thumb {
+    background: #888;
+    }
+
+    /* Handle on hover */
+    ::-webkit-scrollbar-thumb:hover {
+    background: #555;
+    }
+
+    .green {
+    color: green;
+    }
+
+    .red {
+    color: red;
+    }
+
+    .action_buttons > i {
+    cursor: pointer;
+    opacity: .75;
+    transition: .25s opacity;
+    }
+
+    .action_buttons > i:hover {
+    opacity: 1;
+    }
+
+    .action_buttons > i:not(:last-child) {
+    margin-right: 8px;
+    }
+
+    .comment-textarea {
+    width: calc(100% - 24px);
+    outline: none;
+    background-color: transparent;
+    border: none;
+    resize: none;
+    }
+</BlazorStyled.Styled>
+
+
+@code {
+
+    private string _aside;
+
+    [Parameter]
+    public bool Show { get; set; } = false;
+
+    [Parameter]
+    public Guid DetailId { get; set; } = default;
+
+    [Parameter]
+    public EventCallback CloseAside { get; set; }
+
+    public Guid ReviewId { get; set; } = default(Guid);
+
+    public void SetReviewId(Guid id) => ReviewId = id;
+
+    public void CloseReview() => ReviewId = default(Guid);
+
+    private async Task Close()
+    {
+        //ResetValues();
+        await CloseAside.InvokeAsync();
+    }
+
+}
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/ReviewDetailAside.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/ReviewDetailAside.razor
new file mode 100644
index 0000000..38f3bfb
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/ReviewDetailAside.razor
@@ -0,0 +1,152 @@
+﻿
+<aside class="@_aside review_detail">
+    <div class="review_detail_header">
+        <div>
+            <button class="authorize_button accepted">Schválit</button>
+            <div class="review_button accepted">
+                <i class="fal fa-user-tie"></i>
+            </div>
+            <div class="review_button accepted">
+                <i class="fal fa-user-graduate"></i>
+            </div>
+        </div>
+        <div>
+            <div class="close_button" @onclick="Close">
+                <i class="fal fa-times"></i>
+            </div>
+        </div>
+    </div>
+    <div class="review_detail_body">
+        <div class="review_description_title">Poznámka dohlížejícího</div>
+        <p class="review_description_paragraph">Lorem ipsum dolor....</p>
+        <div class="review_description_title">Moje poznámka</div>
+        <textarea oninput='this.style.height = "";this.style.height = this.scrollHeight + "px"'
+                  class="review_description" placeholder="Vyplňte popis cíle"></textarea>
+        <div class="review_description_title">Závěrečné ohodnocení</div>
+        <input class="review_description" type="range" min="0" max="200" placeholder="0 - 200 %" />
+    </div>
+    <div class="review_detail_footer">
+        <button>Uložit</button>
+        <button>Zrušit</button>
+    </div>
+</aside>
+
+<BlazorStyled.Styled @bind-Classname="@_aside">
+    right: @(Show ? "0" : "-615")px;
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    .review_detail {
+    width: 600px;
+    height: 100%;
+    position: fixed;
+    top: 0;
+    background-color: white;
+    transition: .25s right;
+    -webkit-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    -moz-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    }
+
+    .review_detail_header > div {
+    height: 100%;
+    display: flex;
+    align-items: center;
+    }
+
+    .review_detail_header {
+    padding: 12px 24px;
+    border-bottom: 1px solid #11111122;
+    height: 26px;
+    display: flex;
+    align-items: center;
+    justify-content: space-between;
+    }
+
+    .review_detail_body{
+    padding: 16px 0;
+    height: calc(100% - 143px - 50px - 12px);
+    overflow-y: auto;
+    overflow-x: hidden;
+    }
+
+    .review_detail_footer{
+    height: 36px;
+    background-color: #F6F8F9;
+    position: absolute;
+    bottom: 0;
+    left: 0;
+    width: calc(100% - 50px);
+    display: grid;
+    padding: 24px;
+    grid-template-columns: repeat(2, 1fr);
+    }
+
+    .review_detail_footer button:first-child{
+    margin-right: 12px;
+    }
+
+    .review_detail_footer button:last-child{
+    margin-left: 12px;
+    }
+    .review_button {
+    color: red;
+    cursor: pointer;
+    opacity: .75;
+    }
+
+    .review_button:hover {
+    opacity: 1;
+    }
+
+    .review_button.accepted {
+    color: green;
+    }
+
+    .review_button:not(:last-child) {
+    margin-right: 16px;
+    }
+    .review_detail_body .review_description {
+    padding: 8px 12px;
+    border: 1px solid white;
+    width: calc(100% - 24px);
+    outline: none;
+    margin: 12px 24px 24px 24px;
+    }
+
+    .review_detail_body .review_description_title {
+    margin: 0 24px;
+    }
+
+    .review_description_paragraph{
+    margin: 12px 24px 24px 24px;
+    }
+
+    .review_detail_body .review_description:hover{
+    border: 1px solid #EEEEEE;
+    }
+
+    .review_detail_body .review_description:focus{
+    border: 1px solid #A8A8A8;
+    }
+</BlazorStyled.Styled>
+
+@code {
+
+    private string _aside;
+
+    [Parameter]
+    public bool Show { get; set; } = false;
+
+    [Parameter]
+    public Guid ReviewId { get; set; } = default;
+
+    [Parameter]
+    public EventCallback CloseAside { get; set; }
+
+    private async Task Close()
+    {
+        //ResetValues();
+        await CloseAside.InvokeAsync();
+    }
+
+}
